const app = require("express")();
const http = require('http');

//Default at 8090 to enable easy development
const appid = process.env.APPID || 8090;

//OLD (Single point)
app.get("/generatePoint", (req,res) => {
  console.log("Generating single point")
  res.send({"appid": appid, "point": generatePoint()})
})

//Sends the stream Had to limit the speed with intervals
// Otherwise it sends 2.000.000+ points a sec
app.get("/generatePointStream",(req,res)=>{
  console.log("Generating points")
  var intervalId = setInterval(function(){    

    for(var i = 0; i<100;i++){
      var response = JSON.stringify({"appid": appid,"point":generatePoint()})
      res.write(response + "\n");
    }
    setTimeout(function() {
      clearInterval(intervalId)
      res.end();

    }, 10000);

},10);

})


//Generate randomPoint
function generatePoint(){
    console.log
    var xVal = Math.floor(Math.random()*100);
    var yVal = Math.floor(Math.random()*100);    
    return {id:appid, x:xVal,y:yVal};
  }

app.listen(appid, ()=>console.log(`${appid} is listening on ${appid}`))
  
  